Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 21 Jun 2019 03:49:36 +0000 (UTC)
From:      Warner Losh <imp@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r349261 - head/tools/tools/nanobsd
Message-ID:  <201906210349.x5L3naat050079@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: imp
Date: Fri Jun 21 03:49:36 2019
New Revision: 349261
URL: https://svnweb.freebsd.org/changeset/base/349261

Log:
  Mount and unmount devfs around calls to add packages.
  
  pkg now uses /dev/null for some of its operations. NanoBSD's packaging
  stuff didn't mount that for the chroot it ran in, so any config that
  added packages would see the error:
  	pkg: Cannot open /dev/null:No such file or directory
  when trying to actually add those packages. It's easy enough for
  nanobsd to mount /dev and it won't hurt anything that was already
  working and may help things that weren't (like this). I moved the
  mount/unmount pair to be in the right push/pop order from the
  submitted patch.
  
  PR: 238727
  Submitted by: mike tancsa
  Tested by: Karl Denninger

Modified:
  head/tools/tools/nanobsd/defaults.sh

Modified: head/tools/tools/nanobsd/defaults.sh
==============================================================================
--- head/tools/tools/nanobsd/defaults.sh	Fri Jun 21 03:17:27 2019	(r349260)
+++ head/tools/tools/nanobsd/defaults.sh	Fri Jun 21 03:49:36 2019	(r349261)
@@ -778,8 +778,9 @@ cust_pkgng ( ) (
 	# Mount packages into chroot
 	mkdir -p ${NANO_WORLDDIR}/_.p
 	mount -t nullfs -o noatime -o ro ${NANO_PACKAGE_DIR} ${NANO_WORLDDIR}/_.p
+	mount -t devfs devfs ${NANO_WORLDDIR}/dev
 
-	trap "umount ${NANO_WORLDDIR}/_.p ; rm -rf ${NANO_WORLDDIR}/_.p" 1 2 15 EXIT
+	trap "umount ${NANO_WORLDDIR}/dev; umount ${NANO_WORLDDIR}/_.p ; rm -rf ${NANO_WORLDDIR}/_.p" 1 2 15 EXIT
 
 	# Install pkg-* package
 	CR "${PKGCMD} add /_.p/${_NANO_PKG_PACKAGE}"
@@ -804,6 +805,7 @@ cust_pkgng ( ) (
 	CR0 "${PKGCMD} info"
 
 	trap - 1 2 15 EXIT
+	umount ${NANO_WORLDDIR}/dev
 	umount ${NANO_WORLDDIR}/_.p
 	rm -rf ${NANO_WORLDDIR}/_.p
 )



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201906210349.x5L3naat050079>